### Property

# Gio TlsServerConnection:authentication-mode

since: 2.28

#### Declaration

    property authentication-mode: Gio.TlsAuthenticationMode [ read, write ]

#### Description

The `GTlsAuthenticationMode` for the server. This can be changed before calling `g_tls_connection_handshake()` if you want to rehandshake with a different mode from the initial handshake.

Type:`GTlsAuthenticationMode`

Available since: 2.28

Default value | G_TLS_AUTHENTICATION_NONE

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no